# API Samples

Use SpeechAce [API Samples](https://github.com/speechace/speechace-api-samples) repository which provides a collection of example code and use cases to help developers integrate and utilize the SpeechAce API effectively.

The repository includes multiple examples demonstrating how to use the SpeechAce API for different functionalities, such as speech recognition, pronunciation assessment, and more. Samples are available in several programming languages, making it easier for developers to find examples that match their preferred coding environment.

<table><thead><tr><th width="230">Sample Folder</th><th>Description</th></tr></thead><tbody><tr><td>basic_samples</td><td>Simple single script examples calling the Speechace API in curl, node, php, and python</td></tr><tr><td>django_sample</td><td><p>Backend and Frontend implementation with: </p><ul><li>HTML5 recorder</li><li>Python server</li></ul></td></tr><tr><td>php_sample</td><td><p></p><p>Backend and Frontend implementation with: </p><ul><li>HTML5 recorder</li><li>PHP server</li></ul></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.speechace.com/getting-started/api-samples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
